### Method

# Foundry GitBlame dup_commit_id

since: 1.1

#### Declaration [src]

    char*
    foundry_git_blame_dup_commit_id (
      FoundryGitBlame* self,
      guint line
    )

#### Description [src]

Gets the commit ID string for the given line number from the blame information.

The commit ID is the hash of the commit that last modified the line.

Available since: 1.1

#### Parameters

`line`

  Type: `guint`

  The line number (0-indexed).

#### Return value

Type: `char*`

A newly allocated string containing the commit ID, or `NULL` if the line is not found or not tracked.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.